# Uses of Interface
org.eclipse.emf.cdo.view.CDOFetchRuleManager

Packages that use CDOFetchRuleManager
Package
Description
org.eclipse.emf.cdo.session
Client concepts for dealing with sessions to CDO repositories.
org.eclipse.emf.cdo.util
Client utility classes, some common interfaces and exceptions.
org.eclipse.emf.spi.cdo
Client service provider interfaces and useful base implementations.

## Uses of CDOFetchRuleManager in org.eclipse.emf.cdo.session

Methods in org.eclipse.emf.cdo.session that return CDOFetchRuleManager
Modifier and Type
Method
Description
`CDOFetchRuleManager`
CDOSession.`getFetchRuleManager()`
Returns the CDO `fetch rule manager` of this session.
`CDOFetchRuleManager`
CDOSessionConfiguration.`getFetchRuleManager()`
Methods in org.eclipse.emf.cdo.session with parameters of type CDOFetchRuleManager
Modifier and Type
Method
Description
`void`
CDOSessionConfiguration.`setFetchRuleManager(CDOFetchRuleManager fetchRuleManager)`
A special ID generator can be set before the session is opened and can not be changed thereafter.

## Uses of CDOFetchRuleManager in org.eclipse.emf.cdo.util

Methods in org.eclipse.emf.cdo.util that return CDOFetchRuleManager
Modifier and Type
Method
Description
`static CDOFetchRuleManager`
CDOUtil.`createThreadLocalFetchRuleManager()`

## Uses of CDOFetchRuleManager in org.eclipse.emf.spi.cdo

Methods in org.eclipse.emf.spi.cdo with parameters of type CDOFetchRuleManager
Modifier and Type
Method
Description
`void`
InternalCDOSession.`setFetchRuleManager(CDOFetchRuleManager fetchRuleManager)`